SCJN Tesis
curl --request POST \
--url https://api.croma.run/mx/scjn/tesis/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"registration_number": "2001360"
}
'import requests
url = "https://api.croma.run/mx/scjn/tesis/v1"
payload = { "registration_number": "2001360" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({registration_number: '2001360'})
};
fetch('https://api.croma.run/mx/scjn/tesis/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"found": true,
"registration_number": "<string>",
"tesis": {
"registration_number": "<string>",
"title": "<string>",
"subtitle": "<string>",
"citation": "<string>",
"epoch": "<string>",
"instance": "<string>",
"circuit": "<string>",
"court": "<string>",
"source": "<string>",
"subjects": [
"<string>"
],
"location": {
"book": "<string>",
"volume": "<string>",
"page": 123,
"month": 123,
"year": 123
},
"text": "<string>",
"notes": "<string>",
"precedent_notes": [
"<string>"
],
"linked_case_registrations": [
"<string>"
],
"linked_vote_registrations": [
"<string>"
],
"formation": "<string>",
"issue": "<string>",
"publication_date": "2023-12-25",
"binding_date": "2023-12-25",
"fingerprint": "<string>",
"official_url": "<string>"
}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}SCJN Tesis
Retrieve one tesis by its registro digital (registration_number), including the full text, citation (clave, época, localización), subjects, precedent notes, and linked ruling ids.
POST
/
mx
/
scjn
/
tesis
/
v1
SCJN Tesis
⌘I